# $Id: Makefile.in,v 1.1 2000/10/11 14:17:56 m-hirano Exp $
# $RWC_Release: Omni-1.6 $
# $RWC_Copyright:
#  Omni Compiler Software Version 1.5-1.6
#  Copyright (C) 2002 PC Cluster Consortium
#  
#  This software is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License version
#  2.1 published by the Free Software Foundation.
#  
#  Omni Compiler Software Version 1.0-1.4
#  Copyright (C) 1999, 2000, 2001.
#   Tsukuba Research Center, Real World Computing Partnership, Japan.
#  
#  Please check the Copyright and License information in the files named
#  COPYRIGHT and LICENSE under the top  directory of the Omni Compiler
#  Software release kit.
#  
#  
#  $
#
# Makefile for NAS parallel Benchmark (1) CG in OpenMP
#

# If you want change size, put -DSIZE={TINY,MID,LARGE} in CFLAGS
# TINY is default. for example, for test of class A.
# CFLAGS = -DSIZE=MID

prefix		=	$${OMNI_HOME:=@orgPrefix@}
exec_prefix     =       @orgExec_prefix@

OMCC		=	${prefix}/bin/omcc
CC		=	@CC@

OPT_CFLAGS =

PROGRAMS = cg cg-omp cg-orphan cg-makedata

all: $(PROGRAMS)

cg: cg.c second.o 
	$(CC) $(CFLAGS) -o cg cg.c second.o -lm

cg-omp: cg.c second.o
	$(OMCC) $(CFLAGS) -o cg-omp cg.c second.o -lm

cg-orphan: cg-orphan.c second.o
	$(OMCC) $(CFLAGS) -o cg-orphan cg-orphan.c second.o -lm

cg-makedata: cg-makedata.c
	$(CC) $(CFLAGS) -o cg-makedata cg-makedata.c -lm

clean:
	rm -f *.o $(PROGRAMS)

distclean:	clean
	true

	